#ifndef __SENDCOMMAND_H__
#define __SENDCOMMAND_H__

#include "aspi.h"

struct Inquiry
{
	unsigned char devType;
	char reserved1[7];
	char Vendor[50];
};

struct DeviceInfo
{
	bool error;
	bool isDVDROM;
	bool isRPC2;
	DWORD errorCode;
};

class Device
{
public:
	static DWORD makeDeviceList(void);

	Device *next;
	Device *prev;

	struct DeviceInfo info;
	
	BYTE HaId;
	BYTE Target;
	BYTE Lun;

	char name[50];

	DWORD SendCommand(BYTE *CDBByte, BYTE CDBLen, BYTE SRB_Flags,
		BYTE *BufPointer, DWORD BufLen) const;
};


extern Device *devices;
extern int deviceCount;

extern HANDLE event;


	
#endif // __SENDCOMMAND_H__
