// KillRpc.cpp : Defines the entry point for the application.
//

#include "stdafx.h"

bool HackableDrive (Device* dev)
{
	char* goodDrive[] = {
		"LG      DVD-ROM DRD8080B",
		"LG      DVD-ROM DRN8080B",
		"LG      DVD-ROM DRN8040B",
		"LG      DVD-ROM DRD8120B",
		"COMPAQ  DVD-ROM DRD8080B",
		"COMPAQ  DVD-ROM DRN8080B",
		"COMPAQ  DVD-ROM DRN8040B",
		NULL
	};

	if (!dev->info.isDVDROM || !dev->info.isRPC2)
		return false;

	for (char** current = &goodDrive[0]; *current; ++current)
		if (strncmp (dev->name, *current, 24) == 0)
			return true;

	return false;
}

void HackLgDrive(const Device *device)
{
	unsigned char cmd[] = {
		SCSI_MODE_SEL10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0c, 0x00, 0x00, 0x00 };
	unsigned char data[] = {
		0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x21, 0x02, 0x02, 0x00 };

	// Code for LG disable command. Already in the cmd and data arrays
    //cmd[1] = 0x00;
    //data[10] = 0x02;

	device->SendCommand(cmd, 12, 0, data, 12);
}


int APIENTRY WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	if (InitASPI() || Device::makeDeviceList () || !deviceCount) {
		MessageBox (NULL, "ASPI Error. Aborting.", "KillRpc", MB_OK | MB_ICONSTOP);
		return 1;
	}

	RefreshDriveInfo ();

	for (Device* dev = devices; dev; dev = dev->next)
		if (HackableDrive (dev))
			HackLgDrive (dev);

	return 0;
}

